package com.ruoyi.imports.util;

import java.lang.reflect.Type;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class GsonUtils {

	public static String toJson(Object src) {
		if (src == null) {
			return null;
		}
		return getGson().toJson(src);
	}
	

	
	public static <T>T formJson(String json,Type t){
		if(json==null || "".equals(json.trim())) {
			return null;
		}
		return getGson().fromJson(json, t);
	}
	
//	public static <T>T formJson(String json,Class<T>clazz){
//		if(json==null || "".equals(json.trim())) {
//			return null;
//		}
//		return getGson().fromJson(json, clazz);
//	}
	
	private static Gson getGson() {
		GsonBuilder gsonBuilder = new GsonBuilder();
		gsonBuilder.setDateFormat("yyyy-MM-dd HH:mm:ss");
		return gsonBuilder.create();
	}

}
